Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.format
Interface Printer<T>

Type Parameters:
  `T` - the type of object this Printer prints

All Known Subinterfaces:
  Formatter<T>

All Known Implementing Classes:
  AbstractNumberFormatter, CurrencyFormatter, DateFormatter, MillisecondInstantPrinter, NumberFormatter, PercentFormatter, ReadableInstantPrinter, ReadablePartialPrinter

    public interface Printer<T>

Prints objects of type T for display.

Since:
  3.0
Author:
  Keith Donald

Method Summary
`String` | `print(T object, Locale locale)` Print the object of type T for display.

Method Detail

### print

    String print(T object,
                 Locale locale)

  Print the object of type T for display.

  Parameters:
    `object` - the instance to print
    `locale` - the current user locale
  Returns:
    the printed text string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD